Bug 499531 - Review Request: kde-plasma-yawp - Yet Another Weather Plasmoid
Review Request: kde-plasma-yawp - Yet Another Weather Plasmoid
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-07 00:13 EDT by Orcan Ogetbil
Modified: 2009-05-20 20:01 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.2.3-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 19:54:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-05-07 00:13:06 EDT
Spec URL: http://oget.fedorapeople.org/review/kde-plasma-yawp.spec
SRPM URL: http://oget.fedorapeople.org/review/kde-plasma-yawp-0.2.3-1.fc10.src.rpm
Description: 
This colorful plasmoid shows weather maps, reports and forecasts.


rpmlint is silent.

koji rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1340028

This is my favorite weather plasmoid. It resembles the legendary liquid weather karamba theme.
Comment 1 Parag AN(पराग) 2009-05-08 01:41:56 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1340028
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
3ffe00e0c9c55ecbf3f528188d84d957e3dcd7f6  yawp-0.2.3.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ desktop file installed correctly.
+ file permissions are appropriate.
+ Package kde-plasma-yawp-0.2.3-1.fc12.i586
Provides: plasma_yawp.so
Requires: libQtCore.so.4 libQtDBus.so.4 libQtGui.so.4 libQtNetwork.so.4 libQtSvg.so.4 libQtXml.so.4 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libgcc_s.so.1 libkdecore.so.5 libkdeui.so.5 libkio.so.5 libm.so.6 libplasma.so.3 libpthread.so.0 libsolid.so.4 libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)

APPROVED.
Comment 2 Orcan Ogetbil 2009-05-08 01:48:43 EDT
Thanks a lot Parag!

New Package CVS Request
=======================
Package Name: kde-plasma-yawp
Short Description: Yet Another Weather Plasmoid
Owners: oget
Branches: F-9 F-10 F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-05-09 17:06:38 EDT
cvs done.
Comment 4 Fedora Update System 2009-05-09 19:59:16 EDT
kde-plasma-yawp-0.2.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kde-plasma-yawp-0.2.3-1.fc11
Comment 5 Fedora Update System 2009-05-09 20:01:27 EDT
kde-plasma-yawp-0.2.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kde-plasma-yawp-0.2.3-1.fc10
Comment 6 Fedora Update System 2009-05-09 20:02:11 EDT
kde-plasma-yawp-0.2.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kde-plasma-yawp-0.2.3-1.fc9
Comment 7 Fedora Update System 2009-05-11 23:59:13 EDT
kde-plasma-yawp-0.2.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-plasma-yawp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4740
Comment 8 Fedora Update System 2009-05-12 00:07:55 EDT
kde-plasma-yawp-0.2.3-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update kde-plasma-yawp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4817
Comment 9 Fedora Update System 2009-05-12 00:10:57 EDT
kde-plasma-yawp-0.2.3-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-plasma-yawp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4842
Comment 10 Fedora Update System 2009-05-20 19:53:58 EDT
kde-plasma-yawp-0.2.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-20 20:00:48 EDT
kde-plasma-yawp-0.2.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-20 20:01:00 EDT
kde-plasma-yawp-0.2.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.